Checkout page
Retrieve a checkout page
GET
/checkout-sessions/{id}Scope
checkout:readAuth Bearer keyPath parameters
idstringrequiredResponses
200Checkout session
json
{
"id": "chk_9f2b1c7a4d",
"object": "checkout_session",
"status": "paid",
"method": "bank_transfer",
"amount": "3000.00",
"currency": "NGN",
"amount_paid": "3000.00",
"amount_outstanding": "0.00",
"payments": [
{
"amount": "1000.00",
"currency": "NGN",
"source": "bank_transfer",
"source_reference": "dep_4a0f13bb92",
"provider_reference": "dep_4a0f13bb92",
"seen_at": "2026-02-04T20:30:41.000Z"
},
{
"amount": "2000.00",
"currency": "NGN",
"source": "bank_transfer",
"source_reference": "dep_5c81f0a3d7",
"provider_reference": "dep_5c81f0a3d7",
"seen_at": "2026-02-04T20:31:12.000Z"
}
],
"expires_at": "2026-02-04T20:59:46.000Z",
"checkout_url": "https://business.boundlesspay.com/checkout/chk_9f2b1c7a4d",
"reference": "ORDER-4821",
"description": "Order #4821",
"customer": {
"name": "Ada Nwosu",
"email": "ada@example.com",
"phone": null
},
"instructions": {
"type": "bank_transfer",
"account_number": "9902117364",
"account_name": "BOUNDLESS/ORDER-4821",
"bank_name": "Providus Bank",
"amount": "3000.00",
"currency": "NGN",
"expires_at": "2026-02-04T20:59:46.000Z"
},
"deposit_id": "dep_5c81f0a3d7",
"paid_at": "2026-02-04T20:31:12.000Z",
"success_url": "https://shop.example.com/thanks/4821",
"cancel_url": null,
"metadata": {
"order_id": "4821"
},
"created_at": "2026-02-04T20:29:46.000Z"
}Errors
Errors use RFC 9457 problem details. Branch on code, and log request_id.
400Bad request401Unauthenticated403Forbidden409Idempotency conflict422Validation error429Rate limitedcURL
curl -X GET "https://business.boundlesspay.com/api/public/v1/checkout-sessions/{id}" \
-H "Authorization: Bearer $BOUNDLESS_API_KEY"